﻿@model TakePaymentViewModel
@{
    Layout = null;
}

<div class="view-container" id="invoice-data" style="min-width: 100%;">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Confirm Payment 
            </h1>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix">

    </div>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead style="background-color: rgb(27,129,192);color:#fff;">
                <tr>
                    <td style="width: 30px;max-width:30px;min-width:30px;"></td>
                    <th class="text-left" style="width: 334px;max-width: 334px;min-width:334px;">Date</th>
                    <th class="text-left" style="width: 172px;max-width: 172px;min-width:172px;">Confirmation</th>
                    <th class="text-right" style="width: 136px;max-width:136px;min-width:136px;">Amount</th>
                    <th class="text-right" style="width: 95px;max-width:95px;min-width:95px;">Paid</th>
                    <th class="text-right" style="width: 134px;max-width:134px;min-width:134px;">Balance</th>
                    <th class="text-right" style="width: 237px;max-width:237px;min-width:237px;padding-right:14px;">Amount to take</th>
                </tr>
            </thead>
            <tbody>

                <tr ng-repeat-start="order in ModelOrder | filter: {Checked: true}" role="row">
                    <td>

                        <button style="width: 13px;height: 14px;line-height: 0;padding: 0;display: inline-block;border-radius:3px;border-color:#a09a9a" ng-if="order.expanded " ng-click="order.expanded = false;" ng-checked="false">-</button>
                        <button style="width: 13px;height: 14px;line-height: 0;padding: 0;display: inline-block;border-radius:3px;border-color:#a09a9a" ng-if="!order.expanded " ng-click="order.expanded = true;" ng-checked="true">+</button>
                    </td>

                    <td>{{order.StrOrderDate}}</td>
                    <td>{{order.ConfirmationId}}</td>
                    <td class="text-right">{{(order.OrderAmount).formatCurrencyWithPenny(2)}}</td>
                    <td class="text-right">{{(order.PaidAmount).formatCurrencyWithPenny(2)}}</td>
                    <td class="text-right">
                        <label style="color:red;margin:0;" ng-if="order.Balance>0">{{(order.Balance).formatCurrencyWithPenny(2)}}</label>
                        <label style="color:green;margin:0;" ng-if="order.Balance<0">{{(order.Balance).formatCurrencyWithPenny(2)}}</label>
                    </td>

                    <td class="text-right" style="padding-right:14px;"><span type="number" ng-value="(order.Balance)" ng-readonly="true" />{{(order.InvoiceAmount).formatCurrencyWithPenny(2)}}</td>
                </tr>

                <tr ng-if="order.expanded" ng-repeat-end="" style="display: table-row;">

                    <td class="k-hierarchy-cell"></td>

                    <td class="k-detail-cell" colspan="6">
                        <table class="tbl-fullsize">
                            <tr style="background-color:rgb(208, 230, 243);width: 516px;">
                                <th style="width:30px;"></th>
                                <th class="text-left" style="color:black;width: 296px; max-width: 296px;min-width:296px;">Participant</th>
                                <th class="text-left" style="color:black;width: 172px; max-width: 172px;min-width:172px;">Program name</th>
                                <th class="text-right" style="color:black;width: 135px; max-width: 135px;min-width:135px;">Amount</th>
                                <th class="text-right" style="color:black;width: 97px; max-width: 97px;min-width:97px;">Paid</th>
                                <th class="text-right" style="color:black;width: 130px; max-width: 130px;min-width:130px;">Balance</th>
                                <th class="text-right" style="color:black;width: 232px; max-width: 232px;min-width:232px;">Amount to take</th>
                            </tr>


                            <tr ng-repeat-start="orderItem in OrderitemModel [order.Id] | filter: {Checked: true }" role="row">
                                <td></td>
                                <td>{{orderItem.Attendee}} <span class="grid-label label warning" ng-show="orderItem.IsCancel==true">Canceled</span></td>
                                <td>{{orderItem.ProgramName}}</td>
                                <td class="text-right">{{(orderItem.EntryFee).formatCurrencyWithPenny(2)}}</td>
                                <td class="text-right">{{(orderItem.PaidAmount).formatCurrencyWithPenny(2)}}</td>
                                <td class="text-right">
                                    <label style="color:red;margin:0;" ng-if="orderItem.Balance>0">{{(orderItem.Balance).formatCurrencyWithPenny(2)}}</label>
                                    <label style="color:green;margin:0;" ng-if="orderItem.Balance<0">{{(orderItem.Balance).formatCurrencyWithPenny(2)}}</label>
                                    <label style="color:black;margin:0;" ng-if="orderItem.Balance==0">{{(orderItem.Balance).formatCurrencyWithPenny(2)}}</label>
                                </td>
                                <td class="text-right">
                                    <span ng-if="(orderItem.Balance)>0 && orderItem.PaymentplanType=='Installment'">{{(orderItem.InvoiceAmount).formatCurrencyWithPenny(2)}}</span>
                                    <span ng-if="(orderItem.Balance)>0 && orderItem.PaymentplanType!='Installment'">{{(orderItem.Balance).formatCurrencyWithPenny(2)}}</span>
                                </td>
                            </tr>
                            <tr ng-if="orderItem.PaymentplanType=='Installment'" ng-repeat-end="" style="display: table-row;">
                                <td class="k-hierarchy-cell" colspan="0"></td>
                                <td class="k-detail-cell" colspan="6" style="padding:5px 0 !important;">
                                    <table class="tbl-sub">
                                        <tr style="background-color: rgba(225, 237, 247, 0.47);width: 516px;color:black;">
                                            <th style="width:30px;max-width:30px;min-width:30px;"></th>
                                            <th class="text-left" style="width:266px;max-width:266px;min-width:266px;">Due date</th>
                                            <th class="text-left" style="width:173px;max-width:173px;min-width:173px;">Paid on</th>
                                            <th class="text-right" style="width:133px;max-width:133px;min-width:133px;">Amount</th>
                                            <th class="text-right" style="width:96px;max-width:96px;min-width:96px;">Paid</th>
                                            <th class="text-right" style="width:131px;max-width:131px;min-width:131px;">Balance</th>
                                            <th class="text-right" style="width:230px;max-width:230px;min-width:230px;">Amount to take</th>

                                        </tr>
                                        <tr ng-repeat="orderItemInstalment in orderItem.Installments | filter: {Checked: true}" role="row">
                                            <td></td>
                                            <td>{{orderItemInstalment.StrDueDate}}</td>
                                            <td>{{orderItemInstalment.StrPaidDate}}</td>
                                            <td class="text-right">{{(orderItemInstalment.Amount).formatCurrencyWithPenny(2)}}</td>
                                            <td class="text-right">{{(orderItemInstalment.PaidAmount).formatCurrencyWithPenny(2)}}</td>
                                            <td class="text-right">
                                                <label style="color:red;margin:0;" ng-if="orderItemInstalment.Balance>0">{{(orderItemInstalment.Balance).formatCurrencyWithPenny(2)}}</label>
                                                <label style="color:green;margin:0;" ng-if="orderItemInstalment.Balance<0">{{(orderItemInstalment.Balance).formatCurrencyWithPenny(2)}}</label>
                                                <label style="color:black;margin:0;" ng-if="orderItemInstalment.Balance==0">{{(orderItemInstalment.Balance).formatCurrencyWithPenny(2)}}</label>
                                            </td>
                                            <td class="text-right">
                                                <span ng-if="orderItemInstalment.Balance<=0">-</span>
                                                <span ng-if="orderItemInstalment.Balance >0">{{(orderItemInstalment.Balance).formatCurrencyWithPenny(2)}}</span>
                                            </td>

                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>

            </tbody>
        </table>
    </div>
    <div class="grid fluid">
        <div class="row table-amount-container">

            <div class="table-div table-amount">
                <div class="table-row">
                    <div class="table-div-cel" style="border-right: 1px solid #bebebe;">
                        <span class="txt-blod">
                            Subtotal
                        </span>
                    </div>
                    <div class="table-div-cel">
                        <span style="padding-left: 30px;">
                            {{totalAmount.formatCurrencyWithPenny(2)}}
                        </span>
                    </div>
                </div>

                <div class="table-row">
                    <div class="table-div-cel" style="border-right: 1px solid #bebebe;">
                        <span class="txt-blod">
                            Total
                        </span>
                    </div>
                    <div class="table-div-cel">
                        <span style="padding-left: 30px;">
                            {{totalAmount.formatCurrencyWithPenny(2)}}
                        </span>
                    </div>
                </div>
            </div>
        </div>

    </div>
 
    <div>
        <h3 ng-show="Model.SelectedChargeMethod=='0'">I want to record the following payment </h3>
        <h3 ng-show="Model.SelectedChargeMethod=='2' && !(Model.IsStripeEnabled)">I have the payer paypal or credit card and want to charge now </h3>
        <h3 ng-show="Model.SelectedChargeMethod=='2' && Model.IsStripeEnabled && Model.IsPaypalEnabled">I have the payer PayPal or credit card and want to charge now </h3>
        <h3 ng-show="Model.SelectedChargeMethod=='2' && Model.IsStripeEnabled && !(Model.IsPaypalEnabled)">I have the payer credit card and want to charge now </h3>
        <h3 ng-show="Model.SelectedChargeMethod=='1'">I want to record the following payment </h3>
        <div class="clearfix"></div>
    </div>
    <div>
        <label>Amount due: {{totalAmount.formatCurrencyWithPenny(2)}}</label>
        <label ng-show="Model.SelectedChargeMethod=='0'">Payment method: {{getPaymentMethodText()}}</label>
        <label ng-show="Model.SelectedChargeMethod=='0'">Payment date: {{formatDate()}}</label>
        <label ng-show="Model.SelectedChargeMethod=='0' && Model.CheckId!=null && Model.CheckId.length>0">Transaction/Check ID: {{Model.CheckId}}</label>
        <label ng-show="Model.Note!=null && Model.Note.length>0">Memo: {{Model.Note}}</label>
        <br />
    </div>
    <div class="clearfix"></div>
    <div class="input-control checkbox default-style place-left no-margin padding-right50" data-role="input-control" ng-show="Model.SelectedChargeMethod=='0' || Model.SelectedChargeMethod=='1' ">
        <label class="block">
            <input ng-model="@Html.Ang(m => m.SendAdminEmail)" checked="checked" name="sendAdminEmail" ng-value="true" type="checkbox" />
            <span class="check"></span>
            Send confirmation email for admin
        </label>
    </div>
    <div class="clearfix"></div>
    <br/>
    <div class="input-control checkbox default-style place-left no-margin padding-right50" data-role="input-control" ng-show="Model.SelectedChargeMethod=='0' || Model.SelectedChargeMethod=='1' ">
        <label class="block">
            <input ng-model="@Html.Ang(m => m.SendParentEmail)" name="sendParentEmail" ng-value="true" type="checkbox" />
            <span class="check"></span>
            Send confirmation email for parent
        </label>
    </div>
    <div class="clearfix"></div>
    <div class="clearfix"></div>
    <hr />
    <div class="clearfix"></div>
    <button type="button" class="link place-left large button" data-ng-click="cancelAction()">Back</button>
    <button class="success place-right large button" ng-click="TakePayment()" id="submitTakePayment" ng-show="Model.SelectedChargeMethod!='2'">Submit</button>
    <button class="success place-right large button" ng-click="TakePayment()" id="submitTakePayment" ng-show="Model.SelectedChargeMethod=='2'">Continue</button>
    <div class="clearfix"></div>
</div>